    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
        public class Mod
    {

        public static void Main()
        {
					
	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Humanoid Raccoon", 
                    NameToOrderByOverride = "headtail",
                    DescriptionOverride = "Seeks the trash!", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("raccoon_icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("skin_layer.png");
                        var flesh = ModAPI.LoadTexture("flesh_layer.png");
                        var bone = ModAPI.LoadTexture("bone_layer.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

//change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(101, 69, 69); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(77, 69, 64); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered

						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("head");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("head.png");
                        cSpr.sortingLayerName = "Top";
						
						var body = Instance.transform.GetChild(5);
                        var cObj1 = new GameObject("tail");
                        cObj1.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        cObj1.transform.localPosition = new Vector3(0f, 0f);
                        cObj1.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj1.transform.localScale = new Vector3(1f, 1f);
                        var cSpr1 = cObj1.AddComponent<SpriteRenderer>();
                        cSpr1.sprite = ModAPI.LoadSprite("tail.png");
                        cSpr1.sortingLayerName = "Top";



                    }
                }
			);	
        }
    }
}